/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2014 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.exploration.alg.annotation.valueprovider;

import org.fortiss.af3.exploration.moea.model.annotation.AnnotationPackage;
import org.fortiss.af3.exploration.moea.model.annotation.ReplicationBounds;
import org.fortiss.af3.task.model.Task;
import org.fortiss.tooling.base.annotation.valueprovider.EStructuralFeatureValueProviderBase;

/**
 * Minimum number of instances that shall be generated for this {@link Task}.
 * 
 * @author diewald
 */
public class MinReplicationBoundValueProvider
		extends EStructuralFeatureValueProviderBase<ReplicationBounds> {

	/** Constructor. */
	public MinReplicationBoundValueProvider() {
		super(AnnotationPackage.Literals.REPLICATION_BOUNDS,
				AnnotationPackage.Literals.REPLICATION_BOUNDS__MIN_REPLICATION);
	}

	/** {@inheritDoc} */
	@Override
	public String getAnnotationName(ReplicationBounds specification) {
		return "Min Replication";
	}
}
